Get session details
Get details for a session.
Authentication
Send Authorization: Bearer <app_uuid>:<api_key> using an active API key. See Authentication for details.
Response headers
Server-owned W3C Trace Context for correlating this response with support and observability data. It is present on successful and error responses. A valid incoming traceparent is linked to, but never becomes, the server-owned trace identifier.
Response
Caller ID in canonical international E.164 format with leading +
(e.g. +972500000000). Empty for websocket sessions (no phone leg).
When the session was created, as an RFC 3339 / ISO 8601 UTC string
(e.g. “2025-05-06T12:41:36.000Z”). Storage resolution is one second,
so the millisecond fraction is always .000. Empty string if the
originating timestamp is missing or unparseable.
Called DID in canonical E.164 format with leading + (e.g. +972740000000).
Empty for websocket sessions (no phone leg).
Current lifecycle state of the session. connecting applies to a
websocket session whose WebSocket server connection has not yet been established.
The nature of the session:
phone_in: inbound phone call from a carrierphone_out: outbound phone call placed withdialsip: a registered SIP devicewebsocket: a WebSocket session with no phone legunknown: could not be determined or is not a supported public session type